Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaRelationship

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaRelationship

All Implemented Interfaces:
  XMLSerializable

Direct Known Subclasses:
  JpaManyToMany, JpaManyToOne, JpaOneToMany, JpaOneToOne

    public abstract class JpaRelationship

extends JpaAttribute

Field Summary
`protected JpaCascade` | `cascade`
`protected javax.persistence.FetchType` | `fetch`
`protected String` | `targetEntityName`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaRelationship()`

Method Summary
`JpaCascade` | `getCascade()`
`javax.persistence.FetchType` | `getFetch()`
`String` | `getTargetEntityName()`
`abstract boolean` | `isToMany()`
`void` | `setCascade(JpaCascade cascades)`
`void` | `setFetch(javax.persistence.FetchType fetch)`
`void` | `setTargetEntityName(String targetEntityName)`
`String` | `toString()`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`encodeAsXML, getName, getPropertyDescriptor, setName, setPropertyDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### targetEntityName

    protected String targetEntityName

### fetch

    protected javax.persistence.FetchType fetch

### cascade

    protected JpaCascade cascade

Constructor Detail

### JpaRelationship

    public JpaRelationship()

Method Detail

### isToMany

    public abstract boolean isToMany()

### getFetch

    public javax.persistence.FetchType getFetch()

### setFetch

    public void setFetch(javax.persistence.FetchType fetch)

### getTargetEntityName

    public String getTargetEntityName()

### setTargetEntityName

    public void setTargetEntityName(String targetEntityName)

### getCascade

    public JpaCascade getCascade()

### setCascade

    public void setCascade(JpaCascade cascades)

### toString

    public String toString()

  Overrides:
    `toString` in class `JpaAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.